## libsdl-ruby 1.1.0

=== doc/Makefile ===

RSD = ruby rsd.rb
RDFILES = general.rd init.rd video.rd wm.rd event.rd joystick.rd cdrom.rd mixer.rd time.rd font.rd collision.rd sdlskk.rd mpeg.rd
RD2 = rd2
RD2OPT = -r rd/rd2html-lib.rb --html-lang=ja --html-charset=EUC-JP


rubysdl_ref.html: rubysdl_ref.rd
	$(RD2) $(RD2OPT) --html-title="Ruby/SDL Reference Manual" $< > $@ || rm -f $@

rubysdl_ref.rd: $(RDFILES)
	cat $(RDFILES) > rubysdl_ref.rd

%.rd: %.rsd
	$(RSD) < $< > $@

install: rubysdl_ref.html
	cp rubysdl_ref.html rubysdl_ref.rd ..

## libsdl-ruby 2.1.1.1-1

=== debian/changelog ===
libsdl-ruby (2.1.1.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - Bumped the standards version to 3.8.4; no changes required.
  * Added myself as uploader
  * debian/libsdl-ruby.doc
    - Removed rubysdl_const_list.txt
  * Added debian/source
 
  [ Gunnar Wolf ]
  * Changed section to Ruby as per ftp-masters' request

  [ Paul van Tilburg ]
  * Tweaked the RD documentation generating rules (title, charsets).
  * New upstream release; moved to the 2.x branch (closes: #510050)!
  * debian/watch: updated, the source moved to RubyForge.
  * debian/control:
    - Added a package for Ruby 1.9 now that it is supported.
    - Added build-depend on ruby1.9.1 and ruby1.9.1-dev.
    - Fixed package description of libruby-sdl, it talked about Mahoro for
      some reason. 
    - Removed the build-depend on rdtool.
    - Added ${misc:Depends} to the depends of libsdl-ruby{,1.8,1.9.1}.
  * debian/rules: removed rules to generate docs, this is done by
    upstream now. 

 -- Deepak Tripathi <apenguinlinux@gmail.com>  Sun, 02 May 2010 08:53:12 +0000
 

libsdl-ruby (1.3.1-1) unstable; urgency=low

  * New upstream release (closes: #457035).
  * debian/control: 
    - moved the team to the Uploaders field, set myself as
      maintainer (closes: #472434).
    - added rdtool to the build depends.
    - updated section, libaries belong in libs.
  * debian/rules, debian/libsdl-ruby.docs:
    reworked the generation and installation of documentation:
    regenerate a English and Japanase HTML file from the appropriate RD
    files (rubysdl_doc.en.rd resp. rubysdl_ref.rd).
  * Moved the examples from libsdl-ruby1.8 to libsdl-ruby too.
  * debian/copyright: added copyright notice; small reformats.
  * Removed superfluous debian/dirs file.

 -- Paul van Tilburg <paulvt@debian.org>  Wed, 02 Apr 2008 20:52:24 +0200

libsdl-ruby (1.1.0-3) unstable; urgency=low

  [ Barry deFreese ]
  * Move to CDBS (Closes: #454960).
  * Bump debhelper build-dep to 5 and add compat file
  * Move url from package description to Homepage field in control
  * Bump Standards Version to 3.7.3

  [ Lucas Nussbaum ]
  * Fixed Vcs-*.
  * Fixed Homepage to point to the ruby/SDL website.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 19 Dec 2007 10:19:34 +0100

libsdl-ruby (1.1.0-2) unstable; urgency=low

  * New maintainer.
  * Added Vcs-*.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 08 Dec 2007 13:41:48 +0100

libsdl-ruby (1.1.0-1) unstable; urgency=low

  [ Daigo Moriwaki ]

  * new upstream version.  (Closes: #364108)
  * debian/control: added a suggestion to libopengl-ruby.  (Closes: #217730)
  * removed xlibs-pic from build-depends.  (Closes: #366720)

 -- akira yamada <akira@debian.org>  Tue, 23 May 2006 17:53:22 +0900

libsdl-ruby (0.9.3-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Thu, 12 Aug 2004 16:27:34 +0900

libsdl-ruby (0.9.1-1) unstable; urgency=low

  * new upstream version.

 -- akira yamada <akira@debian.org>  Fri, 23 Jan 2004 00:25:26 +0900

libsdl-ruby (0.9-1) unstable; urgency=low

  * new upstream version.
  - added collision detection function by Wayne Conrad.  (closes: #173342.)
  * build with ruby1.8.  (closes: #212266)
  - renamed to libsdl-ruby1.8 from libsdl-ruby.

 -- akira yamada <akira@debian.org>  Mon, 13 Oct 2003 14:50:28 +0900

libsdl-ruby (0.8.3-1) unstable; urgency=low

  * some typos of method name are fixed at version 0.8.3, closes: #174444.

 -- akira yamada <akira@debian.org>  Sat, 12 Apr 2003 14:57:43 +0900

libsdl-ruby (0.8.1-1) unstable; urgency=low

  * new upstream release.
  * enabled SGE support, closes: #161834.
  * added libsdl-sge-dev to Build-Depends.

 -- akira yamada <akira@debian.org>  Sun, 22 Sep 2002 11:56:03 +0900

libsdl-ruby (0.7-2) unstable; urgency=low

  * extconf.rb: applied --plugin-libs to sdl-config instead of --libs, 
    closes: #134029. Thanks to LaMont Jones <lamont@smallone.fc.hp.com> 
    and James Troup <james@nocrew.org>.

 -- akira yamada <akira@debian.org>  Sun, 17 Feb 2002 18:24:05 +0900

libsdl-ruby (0.7-1) unstable; urgency=low

  * new upstream version. closes: #117264.

 -- akira yamada <akira@debian.org>  Wed, 31 Oct 2001 18:27:36 +0900

libsdl-ruby (0.6-1) unstable; urgency=low

  * Initial Release.

 -- akira yamada <akira@debian.org>  Sat, 27 Oct 2001 13:30:17 +0900

=== debian/control ===
Source: libsdl-ruby
Section: ruby
Priority: optional
Maintainer: Paul van Tilburg <paulvt@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cdbs, ruby-pkg-tools, ruby1.8, ruby1.8-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, libsmpeg-dev, maemo-optify
Build-Recommends: libsdl-sge-dev, ruby1.9.1, ruby1.9.1-dev
Standards-Version: 3.8.4
Homepage: http://www.kmc.gr.jp/~ohai/rubysdl.en.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-ruby-extras/trunk/libsdl-ruby/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-ruby-extras/trunk/libsdl-ruby/

Package: libsdl-ruby
Architecture: all
Depends: libsdl-ruby1.8, ${misc:Depends}
Description: Ruby/SDL interface for Ruby
 Ruby/SDL is the ruby extension library to use SDL.  SDL (Simple
 DirectMedia Layer) is a cross-platform multimedia library designed to
 provide fast access to the graphics framebuffer and audio device.
 .
 This is a dummy package to install the SDL library bindings for
 the default version of Ruby.

Package: libsdl-ruby1.8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libopengl-ruby1.8
Description: Ruby/SDL interface for Ruby 1.8
 Ruby/SDL is the ruby extension library to use SDL.  SDL (Simple
 DirectMedia Layer) is a cross-platform multimedia library designed to
 provide fast access to the graphics framebuffer and audio device.
 .
 This is the package for ruby 1.8.

=== debian/rules ===
#!/usr/bin/make -f
#
# CDBS file to build the Ruby/SDL package.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk

DEB_RUBY_SETUP_ARGS = --enable-event2

binary-predeb/%::
	maemo-optify $*
